This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 213021 - parallel backend uses lots of CPU
parallel backend uses lots of CPU
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 213023
  Show dependency treegraph
 
Reported: 2006-10-30 11:31 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.5-2.fc6.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 17:29:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2056 None None None Never

  None (edit)
Description Tim Waugh 2006-10-30 11:31:49 EST
Description of problem:
See upstream bug report:
  http://cups.org/str.php?L2056

cups-1.2.4-9

The parallel backend opens the device node with O_WRONLY, but then calls
backendRunLoop with use_bc=1, causing it to try reading from the file
descriptor.  Of course this fails, but unfortunately it can produce busy-looping
when the printer is off or busy.
Comment 1 Fedora Update System 2006-11-07 17:25:23 EST
Fixed in update: cups-1.2.5-2.fc6.8

Note You need to log in before you can comment on or make changes to this bug.